Gmagick::addimage
Gmagick::annotateimage
Gmagick
PHP Manual

# Gmagick::addnoiseimage

(PECL gmagick >= Unknown)

Gmagick::addnoiseimage — Adds random noise to the image

### Description

public Gmagick Gmagick::addnoiseimage ( int `$NOISE` )

Adds random noise to the image.

### Parameters

`noise_type`

  The type of the noise. Refer to this list of noise constants.

### Return Values

The Gmagick object with noise added.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::addimage
Gmagick::annotateimage
Gmagick
PHP Manual